Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0054631
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajorsometimes2024-02-08 18:362024-02-20 07:38
ReporterrafademiguelView Statuspublic 
Assigned Toalainperez 
PrioritynormalResolutionfixedFixed in Version24Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0054631: POS 2 Module has a hidden dependency over POS 2 Sampledata Module

DescriptionIf you try to install a new environment with POS 2 and without POS 2 Sampledata Module you get this error:

[createdatabase] 59527 [main] ERROR org.apache.ddlutils.DatabaseOperationException - Error while executing SQL -- END
[createdatabase] ALTER TABLE AD_DATASET_TABLE
[createdatabase] ADD CONSTRAINT AD_DATASET_TABLE_AD_DATASET FOREIGN KEY (AD_DATASET_ID) REFERENCES AD_DATASET (AD_DATASET_ID)
[createdatabase] org.postgresql.util.PSQLException: ERROR: insert or update on table "ad_dataset_table" violates foreign key constraint "ad_dataset_table_ad_dataset"
[createdatabase] Detail: Key (ad_dataset_id)=(312C2628FD8E42A2AE8DB4972C554FE0) is not present in table "ad_dataset".

that UUID is from the POS 2 Sampledata Module and if you look for the UUID you will notice is POS2 who is expecting to have this dataset present

./org.openbravo.pos2/src-db/database/sourcedata/AD_DATASET_TABLE.xml:<!--9B8BDF75D7E14F9181AF09DD5A77D827--> <AD_DATASET_ID><![CDATA[312C2628FD8E42A2AE8DB4972C554FE0]]></AD_DATASET_ID>

Steps To Reproduceinstall a new environment with POS2 and without POS 2 SampleData Module

run install.source
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0160865)
hgbot (developer)
2024-02-17 04:58

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/2433 [^]
(0160917)
hgbot (developer)
2024-02-19 15:07

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/merge_requests/75 [^]
(0160957)
hgbot (developer)
2024-02-20 07:38

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: c032826d102573a9234990d3ea38ad13f80fa629
Author: Alain Pérez Balart <alain.perez@doceleguas.com>
Date: 20-02-2024 06:38:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/c032826d102573a9234990d3ea38ad13f80fa629 [^]

Fixed ISSUE-54631: Removed wrong relation of Sampledata dataset

---
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
---
(0160958)
hgbot (developer)
2024-02-20 07:38

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/2433 [^]
(0160959)
hgbot (developer)
2024-02-20 07:38

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/merge_requests/75 [^]
(0160960)
hgbot (developer)
2024-02-20 07:38

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata [^]
Changeset: 8d93a7d5783da2b59a083c377b6945d786e5a2be
Author: Alain Pérez Balart <alain.perez@doceleguas.com>
Date: 20-02-2024 06:38:32
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/commit/8d93a7d5783da2b59a083c377b6945d786e5a2be [^]

Fixed ISSUE-54631: Updated dataset with a pending POS2 dataset

---
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
---

- Issue History
Date Modified Username Field Change
2024-02-08 18:36 rafademiguel New Issue
2024-02-08 18:36 rafademiguel Assigned To => Retail
2024-02-08 18:36 rafademiguel Triggers an Emergency Pack => No
2024-02-13 09:13 guillermogil Assigned To Retail => alainperez
2024-02-15 09:43 Mitchunlap Note Added: 0160783
2024-02-15 11:47 Mitchunlap Note Edited: 0160783 View Revisions
2024-02-15 11:47 Mitchunlap Note Edited: 0160783 View Revisions
2024-02-15 11:47 Mitchunlap Note Edited: 0160783 View Revisions
2024-02-16 04:46 alainperez Status new => scheduled
2024-02-16 08:48 priyam Note Deleted: 0160783
2024-02-17 04:58 hgbot Note Added: 0160865
2024-02-19 15:07 hgbot Note Added: 0160917
2024-02-20 07:38 hgbot Resolution open => fixed
2024-02-20 07:38 hgbot Status scheduled => closed
2024-02-20 07:38 hgbot Fixed in Version => 24Q2
2024-02-20 07:38 hgbot Note Added: 0160957
2024-02-20 07:38 hgbot Note Added: 0160958
2024-02-20 07:38 hgbot Note Added: 0160959
2024-02-20 07:38 hgbot Note Added: 0160960


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker